# This file should not be modified as it may get changed by the maintainer.
# Add extra configuration files in the extra_config_files directory to override
# the content from this file

# Extra configuration directory where the config files overriding this file
# should be.
extra_config_files: /etc/xivo-dird-phoned/conf.d/

log_filename: /var/log/xivo-dird-phoned.log
pid_filename: /var/run/xivo-dird-phoned/xivo-dird-phoned.pid
foreground: False
debug: False

auth:
  host: auth
  port: 9497
  key_file: /tmp/auth_keys/xivo-dird-phoned-key.yml
  verify_certificate: False

dird:
  host: dird
  port: 9489
  verify_certificate: False
  default_profile: default_phone

# REST API server
rest_api:
  http:
    enabled: True
    listen: 0.0.0.0
    port: 9498

  https:
    enabled: True
    listen: 0.0.0.0
    port: 9499

    certificate: /etc/ssl/server.crt
    private_key: /etc/ssl/server.key

  # Authorizing subnets
  authorized_subnets:
      - '0.0.0.0/0'
  # CORS configuration. See Flask-CORS documentation for other values.
  cors:
    enabled: True
